/* Estilos generales */
body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    margin: 0;
    padding: 0;
    background-color: #f4e1f5; /* Lila claro */
    color: #333;
    display: flex;
    flex-direction: column;
    min-height: 100vh; /* Asegura que el footer esté en el fondo */
}

header {
    text-align: center;
    background-color: #9b59b6; /* Lila oscuro */
    color: white;
    padding: 20px;
}

h1 {
    margin: 0;
}

.container {
    display: flex;
    gap: 20px; /* Espacio entre aside y main */
    flex: 1; /* Ocupa el espacio restante entre header y footer */
    padding: 20px;
}

/* Estilos para el main */
main {
    flex: 3;
    background-color: #f5eaf7; /* Lila suave */
    padding: 20px;
    border-radius: 8px;
}

/* Estilos para el aside */
aside {
    flex: 1;
    background-color: #9b59b6; /* Lila oscuro */
    color: white;
    padding: 20px;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    justify-content: space-between; /* Asegura que el contenido del aside ocupe el espacio */
}

/* Estilos para los encabezados */
aside h2, main h2 {
    border-bottom: 2px solid white;
    padding-bottom: 10px;
    margin-bottom: 20px;
}
aside h2 {
    color: white;
}
main h2 {
    color: #9b59b6; /* Lila oscuro */
}

/* Espaciado en los elementos */
ul {
    list-style: none;
    padding: 0;
}

ul li {
    margin-bottom: 10px;
}

article {
    margin-bottom: 30px;
    color: #9b59b6;
}

p {
    margin-bottom: 10px;
}

/* Estilos para la imagen de perfil */
.profile-pic {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    display: block;
    margin: 0 auto 20px;
    border: 4px solid #fff; /* Borde blanco */
}

/* Footer */
footer {
    text-align: center;
    padding: 10px;
    background-color: #9b59b6; /* Lila oscuro */
    color: white;
    width: 100%;
    position: relative;
}
